<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_convolution_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_convolution_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_convolution_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>convolution object descriptor as placed in shared memory </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__convolution__t.html#a7e661ca17439f071eaad08b75b86cd0a">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">base object descriptor  <a href="#a7e661ca17439f071eaad08b75b86cd0a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__convolution__t.html#ace31e454efdd5113b7de3ef5bf22b2b2">rows</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The source width.  <a href="#ace31e454efdd5113b7de3ef5bf22b2b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__convolution__t.html#a8fc1578ecc0d6ace3137eca863cb404b">columns</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">number of columns  <a href="#a8fc1578ecc0d6ace3137eca863cb404b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__convolution__t.html#ad76bfe5d1bb76125f1b9e46b802d9533">scale</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">scale factor  <a href="#ad76bfe5d1bb76125f1b9e46b802d9533"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__convolution__t.html#a1af2cb0ced17a20cf926e2fc4111ac51">mem_size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">size of buffer pointed to by mem_ptr  <a href="#a1af2cb0ced17a20cf926e2fc4111ac51"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__convolution__t.html#a1fa7338af6cb4cd3b93285d4cdc2b89f">mem_ptr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">matrix memory address  <a href="#a1fa7338af6cb4cd3b93285d4cdc2b89f"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a7e661ca17439f071eaad08b75b86cd0a"></a><!-- doxytag: member="tivx_obj_desc_convolution_t::base" ref="a7e661ca17439f071eaad08b75b86cd0a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> <a class="el" href="structtivx__obj__desc__convolution__t.html#a7e661ca17439f071eaad08b75b86cd0a">tivx_obj_desc_convolution_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>base object descriptor </p>

</div>
</div>
<a class="anchor" id="ace31e454efdd5113b7de3ef5bf22b2b2"></a><!-- doxytag: member="tivx_obj_desc_convolution_t::rows" ref="ace31e454efdd5113b7de3ef5bf22b2b2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__convolution__t.html#ace31e454efdd5113b7de3ef5bf22b2b2">tivx_obj_desc_convolution_t::rows</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The source width. </p>
<p>number of rows </p>

</div>
</div>
<a class="anchor" id="a8fc1578ecc0d6ace3137eca863cb404b"></a><!-- doxytag: member="tivx_obj_desc_convolution_t::columns" ref="a8fc1578ecc0d6ace3137eca863cb404b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__convolution__t.html#a8fc1578ecc0d6ace3137eca863cb404b">tivx_obj_desc_convolution_t::columns</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>number of columns </p>

</div>
</div>
<a class="anchor" id="ad76bfe5d1bb76125f1b9e46b802d9533"></a><!-- doxytag: member="tivx_obj_desc_convolution_t::scale" ref="ad76bfe5d1bb76125f1b9e46b802d9533" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__convolution__t.html#ad76bfe5d1bb76125f1b9e46b802d9533">tivx_obj_desc_convolution_t::scale</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>scale factor </p>

</div>
</div>
<a class="anchor" id="a1af2cb0ced17a20cf926e2fc4111ac51"></a><!-- doxytag: member="tivx_obj_desc_convolution_t::mem_size" ref="a1af2cb0ced17a20cf926e2fc4111ac51" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__convolution__t.html#a1af2cb0ced17a20cf926e2fc4111ac51">tivx_obj_desc_convolution_t::mem_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>size of buffer pointed to by mem_ptr </p>

</div>
</div>
<a class="anchor" id="a1fa7338af6cb4cd3b93285d4cdc2b89f"></a><!-- doxytag: member="tivx_obj_desc_convolution_t::mem_ptr" ref="a1fa7338af6cb4cd3b93285d4cdc2b89f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a> <a class="el" href="structtivx__obj__desc__convolution__t.html#a1fa7338af6cb4cd3b93285d4cdc2b89f">tivx_obj_desc_convolution_t::mem_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>matrix memory address </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
